---------------------
PatchSet 3104 
Date: 2001/10/06 03:24:47
Author: adri
Branch: coss
Tag: (none) 
Log:


Add some statitics code from Andres.

Members: 
	src/fs/coss/store_dir_coss.c:1.16->1.16.10.1 

Index: squid/src/fs/coss/store_dir_coss.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/coss/store_dir_coss.c,v
retrieving revision 1.16
retrieving revision 1.16.10.1
diff -u -r1.16 -r1.16.10.1
--- squid/src/fs/coss/store_dir_coss.c	16 Aug 2001 07:39:04 -0000	1.16
+++ squid/src/fs/coss/store_dir_coss.c	6 Oct 2001 03:24:47 -0000	1.16.10.1
@@ -711,12 +711,19 @@
 storeCossDirStats(SwapDir * SD, StoreEntry * sentry)
 {
     CossInfo *cs = (CossInfo *) SD->fsdata;
+    double size;
 
     storeAppendPrintf(sentry, "\n");
     storeAppendPrintf(sentry, "Maximum Size: %d KB\n", SD->max_size);
     storeAppendPrintf(sentry, "Current Size: %d KB\n", SD->cur_size);
     storeAppendPrintf(sentry, "Percent Used: %0.2f%%\n",
 	100.0 * SD->cur_size / SD->max_size);
+    size = (cs->count ? SD->cur_size / cs->count : 0);
+    storeAppendPrintf(sentry, "Maximum Object Size: %7d\n", SD->max_objsize);
+    storeAppendPrintf(sentry, "Average Object Size: %7.0f\n", size * 1024);
+    storeAppendPrintf(sentry, "Current #of Objects: %7d\n", cs->count);
+    storeAppendPrintf(sentry, "Estimate maxObjects: %7.0f\n", (size ? SD->max_size / size : 0));
+
     storeAppendPrintf(sentry, "Number of object collisions: %d\n", (int) cs->numcollisions);
 #if 0
     /* is this applicable? I Hope not .. */
